# Class Authenticator.Result

java.lang.Object
com.sun.net.httpserver.Authenticator.Result

Direct Known Subclasses:
  `Authenticator.Failure, Authenticator.Retry, Authenticator.Success`

Enclosing class:
  `Authenticator`

public abstract static class Authenticator.Result extends Object
Base class for return type from `Authenticator.authenticate(HttpExchange)` method.

Since:
  1.6

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Result()`
  Constructor for subclasses to call.

- ## Method Summary

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Result

    protected Result()
    Constructor for subclasses to call.